<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\KursUebersicht\Detailsreiter\Termine\TerminBearbeiten;

use Kufer\KuferTools\Mitarbeiter\KursUebersicht\Detailsreiter\Termine\NachTerminAenderung;

class TerminBearbeitenFormularPresenter extends \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Termine\TerminBearbeiten\TerminBearbeitenFormularPresenter
{
  protected function getView()
  {
    return new TerminBearbeitenFormularView($this->getViewModel());
  }

  protected function getKursdatenAnpassenView($viewModel): \Kufer\KuferTools\Basis\Termine\KursdatenAnpassenView
  {
    return new \Kufer\KuferTools\Mitarbeiter\KursUebersicht\Detailsreiter\Termine\KursdatenAnpassenView($viewModel);
  }

  protected function getInformiereTeilnehmerDialogView($viewModel): \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Termine\NachTerminAenderung\InformiereTnDialogView
  {
    return new NachTerminAenderung\InformiereTnDialogView($viewModel);
  }
}